# setup log of VirtualBox Graphical User Interface Version 6.0.10 r132072 (Qt5.7.1)
# on Debian 9.8 with Cinnamon Desktop

# go into software repo
user@debian98:~$ cd /software/

# download latest version of software
user@debian98:/software$ wget https://download.virtualbox.org/virtualbox/6.0.10/virtualbox-6.0_6.0.10-132072~Debian~stretch_amd64.deb
--2019-08-03 14:36:05--  https://download.virtualbox.org/virtualbox/6.0.10/virtualbox-6.0_6.0.10-132072~Debian~stretch_amd64.deb
Resolving download.virtualbox.org (download.virtualbox.org)... 2.17.112.41
Connecting to download.virtualbox.org (download.virtualbox.org)|2.17.112.41|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 102215996 (97M) [text/plain]
Saving to: ‘virtualbox-6.0_6.0.10-132072~Debian~stretch_amd64.deb’

virtualbox-6.0_6.0.10-132072~Debian~stretch 100%[===========================================================================================>]  97.48M  2.15MB/s    in 93s     

2019-08-03 14:37:40 (1.04 MB/s) - ‘virtualbox-6.0_6.0.10-132072~Debian~stretch_amd64.deb’ saved [102215996/102215996]

# become super user
user@debian98:/software$ su
Password: 

# check the checksum:
# should be: acf5cd432d26d909b3ac33c06240f5549a1e1d1f3c6f92498a6734a9524f11fa 
# for virtualbox-6.0_6.0.10-132072~Debian~stretch_amd64.deb
wget https://www.virtualbox.org/download/hashes/6.0.10/SHA256SUMS

canoodle@DebianLaptop:/software$ sha256sum -c SHA256SUMS
# look for
virtualbox-6.0_6.0.10-132072~Debian~stretch_amd64.deb: OK

# try to install
root@DebianLaptop:/software# dpkg -i virtualbox-6.0_6.0.10-132072~Debian~stretch_amd64.deb 
Selecting previously unselected package virtualbox-6.0.
(Reading database ... 151973 files and directories currently installed.)
Preparing to unpack virtualbox-6.0_6.0.10-132072~Debian~stretch_amd64.deb ...
Unpacking virtualbox-6.0 (6.0.10-132072~Debian~stretch) ...
dpkg: dependency problems prevent configuration of virtualbox-6.0:
 virtualbox-6.0 depends on libcurl3 (>= 7.16.2); however:
  Package libcurl3 is not installed.
 virtualbox-6.0 depends on libqt5core5a (>= 5.7.0); however:
  Package libqt5core5a is not installed.
 virtualbox-6.0 depends on libqt5gui5 (>= 5.4.0); however:
  Package libqt5gui5 is not installed.
 virtualbox-6.0 depends on libqt5opengl5 (>= 5.0.2); however:
  Package libqt5opengl5 is not installed.
 virtualbox-6.0 depends on libqt5printsupport5 (>= 5.0.2); however:
  Package libqt5printsupport5 is not installed.
 virtualbox-6.0 depends on libqt5widgets5 (>= 5.7.0); however:
  Package libqt5widgets5 is not installed.
 virtualbox-6.0 depends on libqt5x11extras5 (>= 5.6.0); however:
  Package libqt5x11extras5 is not installed.

dpkg: error processing package virtualbox-6.0 (--install):
 dependency problems - leaving unconfigured
Processing triggers for systemd (232-25+deb9u11) ...
Processing triggers for desktop-file-utils (0.23-1) ...
Processing triggers for mime-support (3.60) ...
Processing triggers for hicolor-icon-theme (0.15-1) ...
Processing triggers for shared-mime-info (1.8-1+deb9u1) ...
Errors were encountered while processing:
 virtualbox-6.0

# fail

# searching for missing package
root@DebianLaptop:/software# apt search libcurl3
Sorting... Done
Full Text Search... Done
libcurl3/oldstable,oldstable 7.52.1-5+deb9u9 amd64
  easy-to-use client-side URL transfer library (OpenSSL flavour)

libcurl3-dbg/oldstable,oldstable 7.52.1-5+deb9u9 amd64
  debugging symbols for libcurl (OpenSSL, GnuTLS and NSS flavours)

libcurl3-gnutls/oldstable,oldstable,now 7.52.1-5+deb9u9 amd64 [installed,automatic]
  easy-to-use client-side URL transfer library (GnuTLS flavour)

libcurl3-nss/oldstable,oldstable 7.52.1-5+deb9u9 amd64
  easy-to-use client-side URL transfer library (NSS flavour)

# apt suggests using apt --fix-broken install to fix the installation of the last installed package (vbox 6)
# apt will not let me install any other package until the last failed installation will be fixed
root@DebianLaptop:/software# apt install curl
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 curl : Depends: libcurl3 (= 7.52.1-5+deb9u9) but it is not going to be installed
 virtualbox-6.0 : Depends: libcurl3 (>= 7.16.2) but it is not going to be installed
                  Depends: libqt5core5a (>= 5.7.0) but it is not going to be installed
                  Depends: libqt5gui5 (>= 5.4.0) but it is not going to be installed
                  Depends: libqt5opengl5 (>= 5.0.2) but it is not going to be installed
                  Depends: libqt5printsupport5 (>= 5.0.2) but it is not going to be installed
                  Depends: libqt5widgets5 (>= 5.7.0) but it is not going to be installed
                  Depends: libqt5x11extras5 (>= 5.6.0) but it is not going to be installed
                  Recommends: libsdl-ttf2.0-0 but it is not going to be installed
                  Recommends: linux-headers-generic but it is not installable or
                              linux-headers-generic-pae but it is not installable or
                              linux-headers-686-pae but it is not installable or
                              linux-headers-amd64 but it is not going to be installed or
                              linux-headers-2.6-686 but it is not installable or
                              linux-headers-2.6-amd64 but it is not installable or
                              linux-headers but it is not installable
                  Recommends: linux-image but it is not installable
                  Recommends: gcc but it is not going to be installed
                  Recommends: make or
                              build-essential but it is not going to be installed or
                              dpkg-dev but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

# so one tries the fix
root@DebianLaptop:/software# apt --fix-broken install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  libcurl3 libdouble-conversion1 libpcre16-3 libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5 libqt5opengl5 libqt5printsupport5 libqt5svg5 libqt5widgets5 libqt5x11extras5
  libxcb-icccm4 libxcb-image0 libxcb-keysyms1 libxcb-randr0 libxcb-render-util0 libxcb-xinerama0 libxcb-xkb1 libxkbcommon-x11-0 qt5-gtk-platformtheme qttranslations5-l10n
Suggested packages:
  qt5-image-formats-plugins qtwayland5
The following NEW packages will be installed:
  libcurl3 libdouble-conversion1 libpcre16-3 libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5 libqt5opengl5 libqt5printsupport5 libqt5svg5 libqt5widgets5 libqt5x11extras5
  libxcb-icccm4 libxcb-image0 libxcb-keysyms1 libxcb-randr0 libxcb-render-util0 libxcb-xinerama0 libxcb-xkb1 libxkbcommon-x11-0 qt5-gtk-platformtheme qttranslations5-l10n
0 upgraded, 22 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 10.2 MB of archives.
After this operation, 40.1 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libcurl3 amd64 7.52.1-5+deb9u9 [292 kB]
Get:2 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libdouble-conversion1 amd64 2.0.1-4 [33.7 kB]
Get:3 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libpcre16-3 amd64 2:8.39-3 [258 kB]
Get:4 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libqt5core5a amd64 5.7.1+dfsg-3+deb9u1 [1,840 kB]
Get:5 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libqt5dbus5 amd64 5.7.1+dfsg-3+deb9u1 [217 kB]
Get:6 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libqt5network5 amd64 5.7.1+dfsg-3+deb9u1 [593 kB]
Get:7 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libxcb-icccm4 amd64 0.4.1-1 [27.0 kB]
Get:8 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libxcb-image0 amd64 0.4.0-1+b2 [24.4 kB]
Get:9 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libxcb-keysyms1 amd64 0.4.0-1+b2 [16.4 kB]
Get:10 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libxcb-randr0 amd64 1.12-1 [107 kB]
Get:11 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libxcb-render-util0 amd64 0.3.9-1 [18.0 kB]
Get:12 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libxcb-xinerama0 amd64 1.12-1 [95.5 kB]
Get:13 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libxcb-xkb1 amd64 1.12-1 [120 kB]
Get:14 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libxkbcommon-x11-0 amd64 0.7.1-2~deb9u1 [39.1 kB]
Get:15 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libqt5gui5 amd64 5.7.1+dfsg-3+deb9u1 [2,450 kB]
Get:16 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libqt5widgets5 amd64 5.7.1+dfsg-3+deb9u1 [2,243 kB]
Get:17 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libqt5opengl5 amd64 5.7.1+dfsg-3+deb9u1 [154 kB]
Get:18 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libqt5printsupport5 amd64 5.7.1+dfsg-3+deb9u1 [199 kB]
Get:19 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libqt5x11extras5 amd64 5.7.1~20161021-2 [9,970 B]
Get:20 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libqt5svg5 amd64 5.7.1~20161021-2+b2 [130 kB]
Get:21 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 qt5-gtk-platformtheme amd64 5.7.1+dfsg-3+deb9u1 [130 kB]
Get:22 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 qttranslations5-l10n all 5.7.1~20161021-1 [1,219 kB]
Fetched 10.2 MB in 4s (2,249 kB/s)             
Selecting previously unselected package libcurl3:amd64.
(Reading database ... 152799 files and directories currently installed.)
Preparing to unpack .../00-libcurl3_7.52.1-5+deb9u9_amd64.deb ...
Unpacking libcurl3:amd64 (7.52.1-5+deb9u9) ...
Selecting previously unselected package libdouble-conversion1:amd64.
Preparing to unpack .../01-libdouble-conversion1_2.0.1-4_amd64.deb ...
Unpacking libdouble-conversion1:amd64 (2.0.1-4) ...
Selecting previously unselected package libpcre16-3:amd64.
Preparing to unpack .../02-libpcre16-3_2%3a8.39-3_amd64.deb ...
Unpacking libpcre16-3:amd64 (2:8.39-3) ...
Selecting previously unselected package libqt5core5a:amd64.
Preparing to unpack .../03-libqt5core5a_5.7.1+dfsg-3+deb9u1_amd64.deb ...
Unpacking libqt5core5a:amd64 (5.7.1+dfsg-3+deb9u1) ...
Selecting previously unselected package libqt5dbus5:amd64.
Preparing to unpack .../04-libqt5dbus5_5.7.1+dfsg-3+deb9u1_amd64.deb ...
Unpacking libqt5dbus5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Selecting previously unselected package libqt5network5:amd64.
Preparing to unpack .../05-libqt5network5_5.7.1+dfsg-3+deb9u1_amd64.deb ...
Unpacking libqt5network5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Selecting previously unselected package libxcb-icccm4:amd64.
Preparing to unpack .../06-libxcb-icccm4_0.4.1-1_amd64.deb ...
Unpacking libxcb-icccm4:amd64 (0.4.1-1) ...
Selecting previously unselected package libxcb-image0:amd64.
Preparing to unpack .../07-libxcb-image0_0.4.0-1+b2_amd64.deb ...
Unpacking libxcb-image0:amd64 (0.4.0-1+b2) ...
Selecting previously unselected package libxcb-keysyms1:amd64.
Preparing to unpack .../08-libxcb-keysyms1_0.4.0-1+b2_amd64.deb ...
Unpacking libxcb-keysyms1:amd64 (0.4.0-1+b2) ...
Selecting previously unselected package libxcb-randr0:amd64.
Preparing to unpack .../09-libxcb-randr0_1.12-1_amd64.deb ...
Unpacking libxcb-randr0:amd64 (1.12-1) ...
Selecting previously unselected package libxcb-render-util0:amd64.
Preparing to unpack .../10-libxcb-render-util0_0.3.9-1_amd64.deb ...
Unpacking libxcb-render-util0:amd64 (0.3.9-1) ...
Selecting previously unselected package libxcb-xinerama0:amd64.
Preparing to unpack .../11-libxcb-xinerama0_1.12-1_amd64.deb ...
Unpacking libxcb-xinerama0:amd64 (1.12-1) ...
Selecting previously unselected package libxcb-xkb1:amd64.
Preparing to unpack .../12-libxcb-xkb1_1.12-1_amd64.deb ...
Unpacking libxcb-xkb1:amd64 (1.12-1) ...
Selecting previously unselected package libxkbcommon-x11-0:amd64.
Preparing to unpack .../13-libxkbcommon-x11-0_0.7.1-2~deb9u1_amd64.deb ...
Unpacking libxkbcommon-x11-0:amd64 (0.7.1-2~deb9u1) ...
Selecting previously unselected package libqt5gui5:amd64.
Preparing to unpack .../14-libqt5gui5_5.7.1+dfsg-3+deb9u1_amd64.deb ...
Unpacking libqt5gui5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Selecting previously unselected package libqt5widgets5:amd64.
Preparing to unpack .../15-libqt5widgets5_5.7.1+dfsg-3+deb9u1_amd64.deb ...
Unpacking libqt5widgets5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Selecting previously unselected package libqt5opengl5:amd64.
Preparing to unpack .../16-libqt5opengl5_5.7.1+dfsg-3+deb9u1_amd64.deb ...
Unpacking libqt5opengl5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Selecting previously unselected package libqt5printsupport5:amd64.
Preparing to unpack .../17-libqt5printsupport5_5.7.1+dfsg-3+deb9u1_amd64.deb ...
Unpacking libqt5printsupport5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Selecting previously unselected package libqt5x11extras5:amd64.
Preparing to unpack .../18-libqt5x11extras5_5.7.1~20161021-2_amd64.deb ...
Unpacking libqt5x11extras5:amd64 (5.7.1~20161021-2) ...
Selecting previously unselected package libqt5svg5:amd64.
Preparing to unpack .../19-libqt5svg5_5.7.1~20161021-2+b2_amd64.deb ...
Unpacking libqt5svg5:amd64 (5.7.1~20161021-2+b2) ...
Selecting previously unselected package qt5-gtk-platformtheme:amd64.
Preparing to unpack .../20-qt5-gtk-platformtheme_5.7.1+dfsg-3+deb9u1_amd64.deb ...
Unpacking qt5-gtk-platformtheme:amd64 (5.7.1+dfsg-3+deb9u1) ...
Selecting previously unselected package qttranslations5-l10n.
Preparing to unpack .../21-qttranslations5-l10n_5.7.1~20161021-1_all.deb ...
Unpacking qttranslations5-l10n (5.7.1~20161021-1) ...
Setting up libxcb-xinerama0:amd64 (1.12-1) ...
Setting up libxcb-render-util0:amd64 (0.3.9-1) ...
Setting up libxcb-randr0:amd64 (1.12-1) ...
Setting up libxcb-icccm4:amd64 (0.4.1-1) ...
Setting up libxcb-image0:amd64 (0.4.0-1+b2) ...
Setting up libdouble-conversion1:amd64 (2.0.1-4) ...
Setting up libcurl3:amd64 (7.52.1-5+deb9u9) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Setting up qttranslations5-l10n (5.7.1~20161021-1) ...
Setting up libxcb-keysyms1:amd64 (0.4.0-1+b2) ...
Setting up libpcre16-3:amd64 (2:8.39-3) ...
Setting up libxcb-xkb1:amd64 (1.12-1) ...
Setting up libqt5core5a:amd64 (5.7.1+dfsg-3+deb9u1) ...
Setting up libqt5dbus5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Setting up libqt5network5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Setting up libxkbcommon-x11-0:amd64 (0.7.1-2~deb9u1) ...
Setting up libqt5gui5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Setting up qt5-gtk-platformtheme:amd64 (5.7.1+dfsg-3+deb9u1) ...
Setting up libqt5x11extras5:amd64 (5.7.1~20161021-2) ...
Setting up libqt5widgets5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Setting up libqt5printsupport5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Setting up libqt5opengl5:amd64 (5.7.1+dfsg-3+deb9u1) ...
Setting up libqt5svg5:amd64 (5.7.1~20161021-2+b2) ...

# now the previously failed setup of vbox 6.0 runs through
Setting up virtualbox-6.0 (6.0.10-132072~Debian~stretch) ...
Adding group `vboxusers' (GID 124) ...
Done.
Created symlink /etc/systemd/system/multi-user.target.wants/vboxdrv.service → /lib/systemd/system/vboxdrv.service.
Created symlink /etc/systemd/system/multi-user.target.wants/vboxballoonctrl-service.service → /lib/systemd/system/vboxballoonctrl-service.service.
Created symlink /etc/systemd/system/multi-user.target.wants/vboxautostart-service.service → /lib/systemd/system/vboxautostart-service.service.
Created symlink /etc/systemd/system/multi-user.target.wants/vboxweb-service.service → /lib/systemd/system/vboxweb-service.service.
This system is currently not set up to build kernel modules.
Please install the gcc make perl packages from your distribution.
Please install the Linux kernel "header" files matching the current kernel
for adding new hardware support to the system.
The distribution packages containing the headers are probably:
    linux-headers-amd64 linux-headers-4.9.0-9-amd64
This system is currently not set up to build kernel modules.
Please install the gcc make perl packages from your distribution.
Please install the Linux kernel "header" files matching the current kernel
for adding new hardware support to the system.
The distribution packages containing the headers are probably:
    linux-headers-amd64 linux-headers-4.9.0-9-amd64

There were problems setting up VirtualBox.  To re-start the set-up process, run
  /sbin/vboxconfig
as root.  If your system is using EFI Secure Boot you may need to sign the
kernel modules (vboxdrv, vboxnetflt, vboxnetadp, vboxpci) before you can load
them. Please see your Linux system's documentation for more information.
Processing triggers for libc-bin (2.24-11+deb9u4) ...

# but vbox needs to compile kermel module so it needs kernel headers
# install kernel headers for your version of kernel
root@DebianLaptop:/software# apt install linux-headers-amd64 linux-headers-$(uname -r)

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  gcc-6 libasan3 libc-dev-bin libc6-dev libcc1-0 libcilkrts5 libgcc-6-dev libitm1 liblsan0 libmpx2 libtsan0 libubsan0 linux-compiler-gcc-6-x86 linux-headers-4.9.0-9-common
  linux-kbuild-4.9 linux-libc-dev manpages-dev
Suggested packages:
  gcc-6-multilib gcc-6-doc gcc-6-locales libgcc1-dbg libgomp1-dbg libitm1-dbg libatomic1-dbg libasan3-dbg liblsan0-dbg libtsan0-dbg libubsan0-dbg libcilkrts5-dbg libmpx2-dbg
  libquadmath0-dbg glibc-doc
The following NEW packages will be installed:
  gcc-6 libasan3 libc-dev-bin libc6-dev libcc1-0 libcilkrts5 libgcc-6-dev libitm1 liblsan0 libmpx2 libtsan0 libubsan0 linux-compiler-gcc-6-x86 linux-headers-4.9.0-9-amd64
  linux-headers-4.9.0-9-common linux-headers-amd64 linux-kbuild-4.9 linux-libc-dev manpages-dev
0 upgraded, 19 newly installed, 0 to remove and 0 not upgraded.
Need to get 25.9 MB of archives.
After this operation, 119 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://security.debian.org/debian-security stretch/updates/main amd64 linux-libc-dev amd64 4.9.168-1+deb9u4 [1,422 kB]
Get:2 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libcc1-0 amd64 6.3.0-18+deb9u1 [30.6 kB]
Get:3 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libitm1 amd64 6.3.0-18+deb9u1 [27.3 kB]
Get:4 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libasan3 amd64 6.3.0-18+deb9u1 [311 kB]
Get:5 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 liblsan0 amd64 6.3.0-18+deb9u1 [115 kB]
Get:6 http://security.debian.org/debian-security stretch/updates/main amd64 linux-compiler-gcc-6-x86 amd64 4.9.168-1+deb9u4 [630 kB]
Get:7 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libtsan0 amd64 6.3.0-18+deb9u1 [257 kB]
Get:8 http://security.debian.org/debian-security stretch/updates/main amd64 linux-headers-4.9.0-9-common all 4.9.168-1+deb9u4 [7,675 kB]
Get:9 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libubsan0 amd64 6.3.0-18+deb9u1 [107 kB]
Get:10 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libcilkrts5 amd64 6.3.0-18+deb9u1 [40.5 kB]
Get:11 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libmpx2 amd64 6.3.0-18+deb9u1 [11.2 kB]
Get:12 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libgcc-6-dev amd64 6.3.0-18+deb9u1 [2,296 kB]
Get:13 http://security.debian.org/debian-security stretch/updates/main amd64 linux-kbuild-4.9 amd64 4.9.168-1+deb9u4 [837 kB]
Get:14 http://security.debian.org/debian-security stretch/updates/main amd64 linux-headers-4.9.0-9-amd64 amd64 4.9.168-1+deb9u4 [450 kB]
Get:15 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 gcc-6 amd64 6.3.0-18+deb9u1 [6,900 kB]
Get:16 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libc-dev-bin amd64 2.24-11+deb9u4 [259 kB]                                                                  
Get:17 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 libc6-dev amd64 2.24-11+deb9u4 [2,364 kB]                                                                   
Get:18 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 linux-headers-amd64 amd64 4.9+80+deb9u7 [6,040 B]                                                           
Get:19 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 manpages-dev all 4.10-2 [2,145 kB]                                                                          
Fetched 25.9 MB in 10s (2,390 kB/s)                                                                                                                                            
Selecting previously unselected package libcc1-0:amd64.
(Reading database ... 153250 files and directories currently installed.)
Preparing to unpack .../00-libcc1-0_6.3.0-18+deb9u1_amd64.deb ...
Unpacking libcc1-0:amd64 (6.3.0-18+deb9u1) ...
Selecting previously unselected package libitm1:amd64.
Preparing to unpack .../01-libitm1_6.3.0-18+deb9u1_amd64.deb ...
Unpacking libitm1:amd64 (6.3.0-18+deb9u1) ...
Selecting previously unselected package libasan3:amd64.
Preparing to unpack .../02-libasan3_6.3.0-18+deb9u1_amd64.deb ...
Unpacking libasan3:amd64 (6.3.0-18+deb9u1) ...
Selecting previously unselected package liblsan0:amd64.
Preparing to unpack .../03-liblsan0_6.3.0-18+deb9u1_amd64.deb ...
Unpacking liblsan0:amd64 (6.3.0-18+deb9u1) ...
Selecting previously unselected package libtsan0:amd64.
Preparing to unpack .../04-libtsan0_6.3.0-18+deb9u1_amd64.deb ...
Unpacking libtsan0:amd64 (6.3.0-18+deb9u1) ...
Selecting previously unselected package libubsan0:amd64.
Preparing to unpack .../05-libubsan0_6.3.0-18+deb9u1_amd64.deb ...
Unpacking libubsan0:amd64 (6.3.0-18+deb9u1) ...
Selecting previously unselected package libcilkrts5:amd64.
Preparing to unpack .../06-libcilkrts5_6.3.0-18+deb9u1_amd64.deb ...
Unpacking libcilkrts5:amd64 (6.3.0-18+deb9u1) ...
Selecting previously unselected package libmpx2:amd64.
Preparing to unpack .../07-libmpx2_6.3.0-18+deb9u1_amd64.deb ...
Unpacking libmpx2:amd64 (6.3.0-18+deb9u1) ...
Selecting previously unselected package libgcc-6-dev:amd64.
Preparing to unpack .../08-libgcc-6-dev_6.3.0-18+deb9u1_amd64.deb ...
Unpacking libgcc-6-dev:amd64 (6.3.0-18+deb9u1) ...
Selecting previously unselected package gcc-6.
Preparing to unpack .../09-gcc-6_6.3.0-18+deb9u1_amd64.deb ...
Unpacking gcc-6 (6.3.0-18+deb9u1) ...
Selecting previously unselected package libc-dev-bin.
Preparing to unpack .../10-libc-dev-bin_2.24-11+deb9u4_amd64.deb ...
Unpacking libc-dev-bin (2.24-11+deb9u4) ...
Selecting previously unselected package linux-libc-dev:amd64.
Preparing to unpack .../11-linux-libc-dev_4.9.168-1+deb9u4_amd64.deb ...
Unpacking linux-libc-dev:amd64 (4.9.168-1+deb9u4) ...
Selecting previously unselected package libc6-dev:amd64.
Preparing to unpack .../12-libc6-dev_2.24-11+deb9u4_amd64.deb ...
Unpacking libc6-dev:amd64 (2.24-11+deb9u4) ...
Selecting previously unselected package linux-compiler-gcc-6-x86.
Preparing to unpack .../13-linux-compiler-gcc-6-x86_4.9.168-1+deb9u4_amd64.deb ...
Unpacking linux-compiler-gcc-6-x86 (4.9.168-1+deb9u4) ...
Selecting previously unselected package linux-headers-4.9.0-9-common.
Preparing to unpack .../14-linux-headers-4.9.0-9-common_4.9.168-1+deb9u4_all.deb ...
Unpacking linux-headers-4.9.0-9-common (4.9.168-1+deb9u4) ...
Selecting previously unselected package linux-kbuild-4.9.
Preparing to unpack .../15-linux-kbuild-4.9_4.9.168-1+deb9u4_amd64.deb ...
Unpacking linux-kbuild-4.9 (4.9.168-1+deb9u4) ...
Selecting previously unselected package linux-headers-4.9.0-9-amd64.
Preparing to unpack .../16-linux-headers-4.9.0-9-amd64_4.9.168-1+deb9u4_amd64.deb ...
Unpacking linux-headers-4.9.0-9-amd64 (4.9.168-1+deb9u4) ...
Selecting previously unselected package linux-headers-amd64.
Preparing to unpack .../17-linux-headers-amd64_4.9+80+deb9u7_amd64.deb ...
Unpacking linux-headers-amd64 (4.9+80+deb9u7) ...
Selecting previously unselected package manpages-dev.
Preparing to unpack .../18-manpages-dev_4.10-2_all.deb ...
Unpacking manpages-dev (4.10-2) ...
Setting up libcc1-0:amd64 (6.3.0-18+deb9u1) ...
Setting up libasan3:amd64 (6.3.0-18+deb9u1) ...
Setting up libcilkrts5:amd64 (6.3.0-18+deb9u1) ...
Setting up libubsan0:amd64 (6.3.0-18+deb9u1) ...
Setting up libtsan0:amd64 (6.3.0-18+deb9u1) ...
Setting up linux-libc-dev:amd64 (4.9.168-1+deb9u4) ...
Setting up liblsan0:amd64 (6.3.0-18+deb9u1) ...
Setting up libmpx2:amd64 (6.3.0-18+deb9u1) ...
Setting up linux-headers-4.9.0-9-common (4.9.168-1+deb9u4) ...
Setting up linux-kbuild-4.9 (4.9.168-1+deb9u4) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up libc-dev-bin (2.24-11+deb9u4) ...
Setting up manpages-dev (4.10-2) ...
Setting up libc6-dev:amd64 (2.24-11+deb9u4) ...
Setting up libitm1:amd64 (6.3.0-18+deb9u1) ...
Setting up libgcc-6-dev:amd64 (6.3.0-18+deb9u1) ...
Setting up gcc-6 (6.3.0-18+deb9u1) ...
Setting up linux-compiler-gcc-6-x86 (4.9.168-1+deb9u4) ...
Setting up linux-headers-4.9.0-9-amd64 (4.9.168-1+deb9u4) ...
Setting up linux-headers-amd64 (4.9+80+deb9u7) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...

# now one can setup vm repository (folder)
# do a testrun if it works (create new vm see if you can see the black and white simulated bios screen)

root@DebianLaptop:/software# mkdir /vms

# launching a test win7 vm fails with
The virtual machine 'test' has terminated unexpectedly during startup with exit code 1 (0x1).


Result Code: 
NS_ERROR_FAILURE (0x80004005)
Component: 
MachineWrap
Interface: 
IMachine {5047460a-265d-4538-b23e-ddba5fb84976}

# vbox gui says one should re run kernel module compulation by:
/sbin/vboxconfig 
Created symlink /etc/systemd/system/multi-user.target.wants/vboxdrv.service → /lib/systemd/system/vboxdrv.service.
Created symlink /etc/systemd/system/multi-user.target.wants/vboxballoonctrl-service.service → /lib/systemd/system/vboxballoonctrl-service.service.
Created symlink /etc/systemd/system/multi-user.target.wants/vboxautostart-service.service → /lib/systemd/system/vboxautostart-service.service.
Created symlink /etc/systemd/system/multi-user.target.wants/vboxweb-service.service → /lib/systemd/system/vboxweb-service.service.
vboxdrv.sh: Stopping VirtualBox services.
vboxdrv.sh: Starting VirtualBox services.
vboxdrv.sh: Building VirtualBox kernel modules.
This system is currently not set up to build kernel modules.
Please install the gcc make perl packages from your distribution.
This system is currently not set up to build kernel modules.
Please install the gcc make perl packages from your distribution.

There were problems setting up VirtualBox.  To re-start the set-up process, run
  /sbin/vboxconfig
as root.  If your system is using EFI Secure Boot you may need to sign the
kernel modules (vboxdrv, vboxnetflt, vboxnetadp, vboxpci) before you can load
them. Please see your Linux system's documentation for more information.

# those packages were missing as well
root@DebianLaptop:/software# apt install gcc make perl
Reading package lists... Done
Building dependency tree       
Reading state information... Done
perl is already the newest version (5.24.1-3+deb9u5).
Suggested packages:
  gcc-multilib autoconf automake libtool flex bison gdb gcc-doc make-doc
The following NEW packages will be installed:
  gcc make
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 308 kB of archives.
After this operation, 1,284 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 gcc amd64 4:6.3.0-4 [5,196 B]
Get:2 http://ftp.halifax.rwth-aachen.de/debian stretch/main amd64 make amd64 4.1-9.1 [302 kB]
Fetched 308 kB in 0s (874 kB/s)
Selecting previously unselected package gcc.
(Reading database ... 172749 files and directories currently installed.)
Preparing to unpack .../gcc_4%3a6.3.0-4_amd64.deb ...
Unpacking gcc (4:6.3.0-4) ...
Selecting previously unselected package make.
Preparing to unpack .../make_4.1-9.1_amd64.deb ...
Unpacking make (4.1-9.1) ...
Setting up make (4.1-9.1) ...
Setting up gcc (4:6.3.0-4) ...
Processing triggers for man-db (2.7.6.1-2) ...
root@DebianLaptop:/software# /sbin/vboxconfig 
Created symlink /etc/systemd/system/multi-user.target.wants/vboxdrv.service → /lib/systemd/system/vboxdrv.service.
Created symlink /etc/systemd/system/multi-user.target.wants/vboxballoonctrl-service.service → /lib/systemd/system/vboxballoonctrl-service.service.
Created symlink /etc/systemd/system/multi-user.target.wants/vboxautostart-service.service → /lib/systemd/system/vboxautostart-service.service.
Created symlink /etc/systemd/system/multi-user.target.wants/vboxweb-service.service → /lib/systemd/system/vboxweb-service.service.
vboxdrv.sh: Stopping VirtualBox services.
vboxdrv.sh: Starting VirtualBox services.
vboxdrv.sh: Building VirtualBox kernel modules.

testing:

just create a empty win7 vm and start it up… if you see this, it probably works 🙂

congratulations!

you can now run windows programs inside linux, while saving the state of windows on any occasion, exporting it, transferring it to other machines and even upload it to servers.

have phun!

admin